Bug 517720 - Review Request: perl-BZ-Client - A client for the Bugzilla web services API
Summary: Review Request: perl-BZ-Client - A client for the Bugzilla web services API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stepan Kasal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 09:24 UTC by Emmanuel Seyman
Modified: 2009-09-06 20:47 UTC (History)
3 users (show)

Fixed In Version: 1.02-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-06 20:47:54 UTC
Type: ---
kasal: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2009-08-16 09:24:28 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-BZ-Client/perl-BZ-Client.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-BZ-Client/perl-BZ-Client-1.02-1.fc11.src.rpm
Description:
This module provides an interface to the Bugzilla web services API

Comment 1 Stepan Kasal 2009-08-25 12:38:58 UTC
Review:
+ package builds in koji
  Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1631969
FAIL rpmlint is silent for SRPM and for RPM.
  - summary ends with dot; please delete it
  - OTOH, the %description sentence should end with a dot
+ source file matches upstream url
+ package meets naming and packaging guidelines
+ specfile is properly named, is cleanly written
+ Spec file is written in American English
+ Spec file is legible
+ dist tag is present
+ build root is correct
+ license is open source-compatible
FAIL License text is included in package
  - please add LICENSE to %doc
+ %doc is present.
FAIL BuildRequires are proper
  - please add perl(HTTP::Cookies)
+ %clean is present
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does own the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test succeeded
+ provides and requires OK
+ Not a GUI application

A suggestion:
in %files, you might replace
    %{perl_vendorlib}/*
by the more specific
    %{perl_vendorlib}/BZ

Please make the four small changes under the three FAILs above and consider my suggestion.
With these nits fixed, the package is APPROVED.

Comment 2 Emmanuel Seyman 2009-08-25 13:19:35 UTC
(In reply to comment #1)
>
> FAIL rpmlint is silent for SRPM and for RPM.
>   - summary ends with dot; please delete it
>   - OTOH, the %description sentence should end with a dot

Done.

> FAIL License text is included in package
>   - please add LICENSE to %doc

Done.

> FAIL BuildRequires are proper
>   - please add perl(HTTP::Cookies)

Done.

> A suggestion:
> in %files, you might replace
>     %{perl_vendorlib}/*
> by the more specific
>     %{perl_vendorlib}/BZ

Done.

Thanks for the review. Asking for CVS.

New Package CVS Request
=======================
Package Name: perl-BZ-Client
Short Description: A client for the Bugzilla web services API
Owners: eseyman
Branches: F-10 F-11
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-08-26 22:24:49 UTC
cvs done.

Comment 4 Fedora Update System 2009-08-26 23:11:28 UTC
perl-BZ-Client-1.02-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-BZ-Client-1.02-1.fc11

Comment 5 Fedora Update System 2009-08-27 22:53:38 UTC
perl-BZ-Client-1.02-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-BZ-Client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9060

Comment 6 Fedora Update System 2009-09-06 20:47:49 UTC
perl-BZ-Client-1.02-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.